"GesagtGetan.Theme:Mixin.InlineEditable.Title":
  abstract: true
  search:
    fulltext:
      enable: true
  properties:
    title:
      type: string
      search:
        fulltextExtractor: "${Indexing.extractInto('h2', value)}"
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: "GesagtGetan.Theme:NodeTypes.Placeholder:title"
            formatting:
              sub: true
              sup: true
              strong: false
              em: false
              p: false
              h1: false
              h2: false
              h3: false
              h4: false
              h5: false
              removeFormat: false
              table: false
              ol: false
              ul: false
              a: false
            alignment: {}
            formatlesspaste:
              button: false
              formatlessPasteOption: true
              strippedElements:
                [
                  h1,
                  h2,
                  h3,
                  h4,
                  h5,
                  h6,
                  p,
                  a,
                  em,
                  strong,
                  small,
                  s,
                  cite,
                  q,
                  dfn,
                  abbr,
                  time,
                  code,
                  var,
                  samp,
                  kbd,
                  i,
                  b,
                  u,
                  mark,
                  ruby,
                  rt,
                  rp,
                  bdi,
                  bdo,
                  ins,
                  del,
                ]

"GesagtGetan.Theme:Mixin.InlineEditable.SubTitle":
  abstract: true
  search:
    fulltext:
      enable: true
  properties:
    subtitle:
      type: string
      search:
        fulltextExtractor: "${Indexing.extractInto('h3', value)}"
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: "GesagtGetan.Theme:NodeTypes.Placeholder:subtitle"
            formatting:
              sub: true
              sup: true
              strong: false
              em: false
              p: false
              h1: false
              h2: false
              h3: false
              h4: false
              h5: false
              removeFormat: false
              table: false
              ol: false
              ul: false
              a: false
            alignment: {}
            formatlesspaste:
              button: false
              formatlessPasteOption: true
              strippedElements:
                [
                  h1,
                  h2,
                  h3,
                  h4,
                  h5,
                  h6,
                  p,
                  a,
                  em,
                  strong,
                  small,
                  s,
                  cite,
                  q,
                  dfn,
                  abbr,
                  time,
                  code,
                  var,
                  samp,
                  kbd,
                  i,
                  b,
                  u,
                  mark,
                  ruby,
                  rt,
                  rp,
                  bdi,
                  bdo,
                  ins,
                  del,
                ]

"GesagtGetan.Theme:Mixin.InlineEditable.PureText":
  abstract: true
  search:
    fulltext:
      enable: true
  properties:
    text:
      type: string
      search:
        fulltextExtractor: "${Indexing.extractHtmlTags(value)}"
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: "GesagtGetan.Theme:NodeTypes.Placeholder:text"
            alignment: {}
            autoparagraph: true
            formatting:
              strong: true
              em: true
              sub: true
              sup: true
              p: false
              h2: false
              h3: false
              h4: false
              removeFormat: false
              table: false
              ol: false
              ul: false
              a: true
            formatlesspaste:
              button: true
              formatlessPasteOption: true

"GesagtGetan.Theme:Mixin.InlineEditable.Text":
  abstract: true
  search:
    fulltext:
      enable: true
  properties:
    text:
      type: string
      search:
        fulltextExtractor: "${Indexing.extractHtmlTags(value)}"
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: "GesagtGetan.Theme:NodeTypes.Placeholder:text"
            alignment: {}
            autoparagraph: true
            formatting:
              strong: true
              em: true
              sub: true
              sup: true
              p: true
              h2: true
              h3: true
              h4: false
              removeFormat: true
              table: true
              ol: true
              ul: true
              a: true
            formatlesspaste:
              button: true
              formatlessPasteOption: true

"GesagtGetan.Theme:Mixin.InlineEditable.TextTwo":
  abstract: true
  search:
    fulltext:
      enable: true
  properties:
    textTwo:
      type: string
      search:
        fulltextExtractor: "${Indexing.extractHtmlTags(value)}"
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: "GesagtGetan.Theme:NodeTypes.Placeholder:text"
            alignment: {}
            autoparagraph: true
            formatting:
              strong: true
              em: true
              sub: true
              sup: true
              p: true
              h2: true
              h3: true
              h4: false
              removeFormat: true
              table: true
              ol: true
              ul: true
              a: true
            formatlesspaste:
              button: true
              formatlessPasteOption: true
